CREATE DATABASE BT_usuarios;

CREATE TABLE BT_usuarios.users(

    id BIGINT PRIMARY KEY AUTO_INCREMENT,
    name VARCHAR(50),
    apellido VARCHAR(50),
    usuario VARCHAR(50),
    email VARCHAR(100),
    password VARCHAR(30),
    estatus INT(1), /* activo = 1, inactivo = 0 */
    dominio VARCHAR(45), /* @gmail.com */
    fecha_registro DATETIME

);

CREATE TABLE BT_usuarios.roles(
    id BIGINT PRIMARY KEY AUTO_INCREMENT,
    name VARCHAR(20),
    descripcion VARCHAR(50)
);

CREATE TABLE BT_usuarios.role_user(
    id BIGINT PRIMARY KEY AUTO_INCREMENT,
    role_id BIGINT,
    user_id BIGINT,
    FOREIGN KEY (role_id) REFERENCES roles(id) ON DELETE CASCADE,
    FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE
);

CREATE TABLE BT_usuarios.permisos(
    id BIGINT PRIMARY KEY AUTO_INCREMENT,
    ubicacion VARCHAR(20), /* manzanillo, mexico, veracruz, lázaro */
    permiso_mz INT(1), /* 0 o 1*/
    permiso_lz INT(1), /* 0 o 1*/
    permiso_vz INT(1), /* 0 o 1*/
    permiso_mx INT(1) /* 0 o 1*/
);

INSERT INTO BT_usuarios.roles VALUES(null, 'Estandar', 'Usuarios'),(null, 'Administrador', 'Sistemas');